package iofswrap

import (
	"github.com/spf13/afero"
	"io/fs"
)

var _ fs.FS = (*IOFSWrapper)(nil)

type IOFSWrapper struct {
	afs afero.Fs
}

func NewIOFSWrapper(afs afero.Fs) *IOFSWrapper {
	return &IOFSWrapper{afs: afs}
}

func (w IOFSWrapper) Open(name string) (fs.File, error) {
	f, err := w.afs.Open(name)
	if err != nil {
		return nil, err
	}
	return NewFileWrapper(f), nil
}
